> For the complete documentation index, see [llms.txt](https://developer.dashdoc.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.dashdoc.com/docs/api-reference/adr-un-codes.md).

# ADR UN Codes

## GET /adr-un-codes/

> List ADR UN codes

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"ADR UN codes"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"AdrUnCodes":{"properties":{"count":{"type":"integer"},"next":{"nullable":true,"type":"string"},"previous":{"nullable":true,"type":"string"},"results":{"items":{"$ref":"#/components/schemas/AdrUnCode"},"type":"array"}},"type":"object"},"AdrUnCode":{"properties":{"id":{"description":"Dashdoc's internal id","type":"number"},"code":{"description":"UN code, column n°1 from ADR Table A","type":"number"},"category":{"description":"ADR class, column n°2 from ADR Table A","type":"string"},"description":{"$ref":"#/components/schemas/AdrUnCodeDescription"},"packaging_group":{"description":"Packaging group, column n°4 from ADR Table A","type":"string"},"tunnel_restriction":{"description":"Tunnel restriction code, column n°15 from ADR Table A","type":"string"}},"type":"object"},"AdrUnCodeDescription":{"description":"Name and description, column n°4 from ADR Table A. Translated in FR, EN, NL, DE","properties":{"fr":{"description":"French label","type":"string"},"en":{"description":"English label","type":"string"},"nl":{"description":"Dutch label","type":"string"},"de":{"description":"German label","type":"string"}},"type":"object"}}},"paths":{"/adr-un-codes/":{"get":{"operationId":"listAdrUnCodes","parameters":[{"description":"A page number within the paginated result set.","in":"query","name":"page","required":false,"schema":{"type":"integer"}},{"description":"Search by code or description, not case sensitive.","in":"query","name":"search","required":false,"schema":{"type":"string"}},{"description":"Order results by code. Ascending with code and descending with -code.","in":"query","name":"ordering","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdrUnCodes"}}},"description":"Get successful"}},"summary":"List ADR UN codes","tags":["ADR UN codes"]}}}}
````
